QGIS Application - Feature request #2701
Add a "reverse lines" processing algorithm
2010-05-09 01:39 PM - Ricardo Silva

Status: Closed

Priority: Low

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 12761
Description

This is a feature request for adding one extra tool to the editing toolbar. This tool would reverse the direction of lines. This is very handy
for producing fancy symbology settings and also when using vector files created in Qgis as an input for profile generation modules in
other GIS software such as GRASS and Saga.

History

#1 - 2011-12-16 01:56 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:29 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-11-17 06:54 AM - Médéric RIBREUX

- Pull Request or Patch supplied set to No

- Status changed from Open to Feedback

- Assignee deleted (nobody -)

Hello,

what do you think about having a Processing tool to do it (named like "Reverse lines") ? It would be stored into the QGIS Vector Geometry tools and we

could use it to revert all the lines or polygons of a layer or just some part of the layer objects (with selection).

#5 - 2015-11-17 09:16 AM - Médéric RIBREUX

After digging with GRASS, you can use v.edit to flip the direction of selected vector lines. But v.edit is not in QGIS Processing so | think that a dedicated

Processing tool that uses QGIS Python API could do the job...

#6 - 2015-11-17 12:55 PM - Nyall Dawson

what do you think about having a Processing tool to do it (named like "Reverse lines") ? It would be stored into the QGIS Vector Geometry tools and

we could use it to revert all the lines or polygons of a layer or just some part of the layer objects (with selection).

+1. I think we should avoid adding new icons to the editing toolbar unless there's no other alternative, as that toolbar is already cluttered and confusing. A
processing tool would be perfect for this.
https://grass.osgeo.org/grass64/manuals/v.edit.html

#7 - 2015-11-17 12:56 PM - Nyall Dawson

- Subject changed from Add a "reverse lines" tool to the editing options to Add a "reverse lines" processing algorithm
- Category changed from Vectors to Processing/QGIS

#8 - 2015-11-27 11:57 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Hello, bug triage...

fixed in commit:d0625b8 for Processing.

There is also "a new expression" commit:da436f9 named 'reverse' that does the same thing !

| am closing this feature request (and good job Nyall !).
